%define name    soya
%define oname   Soya
%define version 0.7c
%define	tutver	0.7b
%define release 1mdk
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Url:            http://oomadness.nekeme.net/en/soya
Source0:        %{oname}-%{version}.tar.bz2
Source1:	%{oname}Tutorial-%{tutver}.tar.bz2
#Patch:		missing-freetype-include.patch.bz2
Group:          Development/Python
Summary:        A practical high-level object-oriented 3D engine.
BuildRequires:  python-devel XFree86-devel png-devel nas-devel zlib-devel SDL-devel
BuildRequires:	cal3d-devel pyrex
Requires:       editobj
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A practical high-level object-oriented 3D engine.

# (jiba) A separate package for the tutorial
%package	tutorial
Summary:        Tutorial for the Soya 3D engine.
License:        GPL
Group:          Development/Python
Url:            http://oomadness.nekeme.net/en/soya
Requires:       %{name} >= %{version}

%description	tutorial
This is a set of tutorial for Soya.
Soya is a practical high-level object-oriented 3D engine for Python.

%prep
%setup -q -n %{oname}-%{version} -a 1
#%patch -p1

%build
%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES AUTHORS
%{_bindir}/%{name}_editor
%{_libdir}/python%{py_ver}/site-packages/%{name}
%{_libdir}/python%{py_ver}/site-packages/*.so

%files tutorial
%defattr(644,root,root,0755)
%doc %{oname}Tutorial-%{tutver}/AUTHORS %{oname}Tutorial-%{tutver}/tutorial

%changelog
* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7c-1mdk
- 0.7c
- drop patch, fixed upstream
- add new buildrequires
- update tutorial

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-4mdk
- update url

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-3mdk
- rebuild

* Sun Dec 28 2003 Luca Berra <bluca@vodka.it> 0.6.1-2mdk
- rebuild for new cal3d

* Mon Dec 22 2003 Husson Pierre-Hugues <phh@sidenux.ath.cx> 0.6.1-1mdk
- 0.6.1
- Fix freetype2 problem

* Wed Nov 26 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1
- fix buildrequires (lib64..)

* Fri Aug 08 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-2mdk
- rebuild for new python
- happy b-day to me!:)

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.5-1mdk
- 0.5

* Sat Apr 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4.1-1mdk
- 0.4.1
- depend on libcal3d-devel

* Tue Apr 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-4mdk
- added a tutorial package (from Lamy Jean-Baptiste <jiba@tuxfamily.org>)

* Tue Apr 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-3mdk
- Requires: editobj (from Lamy Jean-Baptiste <jiba@tuxfamily.org>)
- added libSDL-devel to BuildRequires (from Lamy Jean-Baptiste <jiba@tuxfamily.org>)

* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-2mdk
- fixed buildrequires
- build in build stage
- use macros for python

* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-1mdk
- initial mdk release
